Name:           manaplus
Version:        1.3.10.27.2
Release:        5%{?dist}
Summary:        OpenSource 2D MMORPG client for Evol Online and The Mana World
License:        GPLv2+
Url:            http://manaplus.evolonline.org/
Source0:        http://download.evolonline.org/manaplus/download/%{version}/%{name}-%{version}.tar.xz
Requires:       dejavu-sans-fonts
Requires:       dejavu-sans-mono-fonts
Requires:       dejavu-serif-fonts
Requires:       liberation-mono-fonts
Requires:       liberation-sans-fonts
Requires:       mplus-1p-fonts
Requires:       xdg-utils
Requires:       xorg-x11-utils
Requires:       xsel
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  guichan-devel
BuildRequires:  libcurl-devel
BuildRequires:  libpng-devel
BuildRequires:  physfs-devel
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  SDL_gfx-devel
BuildRequires:  SDL_image-devel
BuildRequires:  SDL_mixer-devel
BuildRequires:  SDL_net-devel
BuildRequires:  SDL_ttf-devel
Obsoletes:      mana < 0.6.1-8

%description
ManaPlus is an extended client for Evol Online, The Mana World, and similar
servers based on a fork of eAthena. Evol Online is a 2D fantasy-style game
which aims to create a friendly environment for interacting with others where
people can escape reality and enjoy themselves. The Mana World (TMW) is a
serious effort to create an innovative free and open source MMORPG.
TMW uses 2D graphics and aims to create a large and diverse interactive world.

%prep
# 1.3.10.27.2 did not change the version in the archive extract
%setup -q -n manaplus-1.3.10.27

# We will build without bundeled guichan. To make sure it will be removed.
rm -rf src/guichan

%build
%configure --without-internalguichan

make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}test.desktop

# Use system fonts
rm -f %{buildroot}%{_datadir}/%{name}/data/fonts/*.ttf
ln -s %{_datadir}/fonts/dejavu/DejaVuSans-Bold.ttf %{buildroot}%{_datadir}/%{name}/data/fonts/dejavusans-bold.ttf
ln -s %{_datadir}/fonts/dejavu/DejaVuSansMono-Bold.ttf %{buildroot}%{_datadir}/%{name}/data/fonts/dejavusansmono-bold.ttf
ln -s %{_datadir}/fonts/dejavu/DejaVuSansMono.ttf %{buildroot}%{_datadir}/%{name}/data/fonts/dejavusansmono.ttf
ln -s %{_datadir}/fonts/dejavu/DejaVuSerifCondensed-Bold.ttf %{buildroot}%{_datadir}/%{name}/data/fonts/dejavuserifcondensed-bold.ttf
ln -s %{_datadir}/fonts/dejavu/DejaVuSerifCondensed.ttf %{buildroot}%{_datadir}/%{name}/data/fonts/dejavuserifcondensed.ttf
ln -s %{_datadir}/fonts/dejavu/DejaVuSans.ttf %{buildroot}%{_datadir}/%{name}/data/fonts/dejavusans.ttf
ln -s %{_datadir}/fonts/liberation/LiberationMono-Bold.ttf %{buildroot}%{_datadir}/%{name}/data/fonts/liberationsansmono-bold.ttf
ln -s %{_datadir}/fonts/liberation/LiberationMono-Regular.ttf %{buildroot}%{_datadir}/%{name}/data/fonts/liberationsansmono.ttf
ln -s %{_datadir}/fonts/liberation/LiberationSans-Bold.ttf %{buildroot}%{_datadir}/%{name}/data/fonts/liberationsans-bold.ttf
ln -s %{_datadir}/fonts/liberation/LiberationSans-Regular.ttf %{buildroot}%{_datadir}/%{name}/data/fonts/liberationsans.ttf
ln -s %{_datadir}/fonts/mplus/mplus-1p-bold.ttf %{buildroot}%{_datadir}/%{name}/data/fonts/mplus-1p-bold.ttf
ln -s %{_datadir}/fonts/mplus/mplus-1p-regular.ttf %{buildroot}%{_datadir}/%{name}/data/fonts/mplus-1p-regular.ttf

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING docs/FAQ.txt README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}test.desktop
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man6/%{name}.6*
%{_mandir}/man6/%{name}test.6*

%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.10.27.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jun 13 2014 Hans de Goede <hdegoede@redhat.com> - 1.3.10.27.2-4
- Rebuild for new SDL_gfx

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.10.27.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Nov 09 2013 Bruno Wolff III <bruno@wolff.to> - 1.3.10.27.2-2
- Obsolete mana

* Sat Nov 09 2013 Bruno Wolff III <bruno@wolff.to> - 1.3.10.27.2-1
- Update to upstream 1.3.10.27.2
- ChangeLog: https://www.gitorious.org/manaplus/manaplus/source/94aee6b81132884686bce4473d67380c57c72fff:ChangeLog
- Temporarily, the -n option is needed for %setup

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.3.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Mar 16 2013 Erik Schilling <ablu.erikschilling@googlemail.com> 1.3.3.17-1
- New upstream release 1.3.3.17
* Sun Feb 17 2013 Erik Schilling <ablu.erikschilling@googlemail.com> 1.3.2.17-1
- New upstream release 1.3.2.17
* Sat Feb 9 2013 Erik Schilling <ablu.erikschilling@googlemail.com> 1.3.2.3-2
- Dropped / between two filepath macros
- Fixed the path of the two SansSerif fonts
- Fixed name of xorg-x11-utils dependency
* Sun Feb 3 2013 Erik Schilling <ablu.erikschilling@googlemail.com> 1.3.2.3-1
- New upstream release 1.3.2.3
* Fri Feb 1 2013 Erik Schilling <ablu.erikschilling@googlemail.com> 1.3.1.20-2
- Added comments to the patches
* Fri Feb 1 2013 Erik Schilling <ablu.erikschilling@googlemail.com> 1.3.1.20-1
- First version for official fedora repos.
